Subject: bug#69994: closed (bug#69994)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 Mar 2024 16:51:02 +0000

Your bug report

#69994: 30.0.50; Issue building on msys

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69994: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69994
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug#69994
From: Ergus <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 25 Mar 2024 16:50:42 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

The issue was in my msys git configuration.

Subject: 30.0.50; Issue building on msys
From: Ergus <[email-masked]>
To: [email-masked]
Date: Mon, 25 Mar 2024 16:09:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi:

I am trying to build master on msys and I get this error:

```
git clone ....
cd Emacs
./autogen.sh
Checking whether you have the necessary tools...
(Read INSTALL.REPO for more details on building Emacs)
Checking for autoconf (need at least version 2.65) ... ok
Your system has the required tools.
Running 'autoreconf -fi -I m4' ...
ac-wrapper: autoreconf: warning: auto-detected versions not found ( ); falling back to latest available
' is already registered with AC_CONFIG_FILES.
../autoconf-2.72/lib/autoconf/status.m4:289: AC_CONFIG_FILES is expanded from...
configure.ac:7795: the top level
autom4te-2.72: error: /usr/bin/m4 failed with exit status: 1
autoreconf-2.72: error: /usr/bin/autoconf-2.72 failed with exit status: 1
```

I have already build emacs in this same system with no issues.
Any idea?

Best,
Ergus